<?

require'../config.php';
$align='left';
$title='Управление рекламой';
head();
aut();
levels(7);
who_add(0,'enter');

switch($mod){
default:

echo '<a href="adv.php?mod=link">Добавить ссылку</a> (<b>' . mysql_num_rows( mysql_query( "select * from `adv` where `in` = '1'" ) ) . '</b>/<b>' . mysql_num_rows( mysql_query( "select * from `adv` where `in` = '2'" ) ) . '</b>) <br/><a href="adv.php?mod=bann">Добавить банер</a> (<b>' . mysql_num_rows( mysql_query( "select * from `adv` where `in` = '3'" ) ) . '</b>)<br/><a href="adv.php?mod=editl">Редактирование ссылок</a><br/><a href="adv.php?mod=editb">Редактирование банеров</a><br/>';

break;
case 'link':
if( $_SESSION['rand'] == $_POST['rand'] and !empty( $_POST['url'] ) and !empty( $_POST['name'] ) )
{
$url = trim( mysql_real_escape_string( $_POST['url'] ) );
$name = trim( mysql_real_escape_string( $_POST['name'] ) );
$color = trim( mysql_real_escape_string( $_POST['color'] ) );
$in = intval( $_POST['in'] );
mysql_query( "insert into `adv` set `id` = '' , `url` = '$url' , `name` = '$name' , `color` = '$color' , `in` = '$in'" ) or die( mysql_error() );
echo 'Ссылка ' . $url . ' успешно добавлена!<br/>';
unset( $_SESSION['rand'] );
}
$rand = rand( 1000 , 9999 );
$_SESSION['rand'] = $rand;
echo '<form action="adv.php?mod=link" method="post">
Введите URL (<b>без http://</b>) <br/>
<input type="text" name="url" value="" /><br/>
Введите название ссылки<br />
<input type="text" name="name" value="" /><br/>
Цвет (Например <b>red</b> , или оставте пустым)<br/>
<input type="text" name="color" value="" /><br/>Куда?<br/>
<select name="in">
<option value="1">Верх страниц</option>
<option value="2">Низ страниц</option>
</select><br/>
<input type="hidden" name="rand" value="' . $rand . '" />
<input type="submit" value="Добавить" />
</form><br/>';


break;
case 'bann':
if( $_SESSION['rand'] == $_POST['rand'] and !empty( $_POST['url'] ) and !empty( $_POST['name'] ) and !empty( $_POST['img'] ) )
{
$url = trim( mysql_real_escape_string( $_POST['url'] ) );
$name = trim( mysql_real_escape_string( $_POST['name'] ) );
$img = trim( mysql_real_escape_string( $_POST['img'] ) );
mysql_query( "insert into `adv` set `id` = '' , `url` = '$url' , `name` = '$name' , `img` = '$img' , `in` = '3'" ) or die( mysql_error() );
echo 'Банер ' . $name . ' успешно добавлен!<br/>';
unset( $_SESSION['rand'] );
}
$rand = rand( 1000 , 9999 );
$_SESSION['rand'] = $rand;
echo '<form action="adv.php?mod=bann" method="post">
Введите URL (<b>без http://</b>) <br/>
<input type="text" name="url" value="" /><br/>
Введите URL картинки(<b>без http://</b>)<br/>
<input type="text" name="img" value="" /><br/>
Введите подпись<br/>
<input type="text" name="name" value="" /><br/>
<input type="hidden" name="rand" value="' . $rand . '" />
<input type="submit" value="Добавить" />
</form><br /><br/>';


break;
case 'editl':
if( $_POST['rand'] == $_SESSION['rand'] and !empty( $_POST['url'] ) and !empty( $_POST['name'] )  and !empty( $_POST['color'] ) )
{
$url = mysql_real_escape_string( $_POST['url'] );
$name = trim( mysql_real_escape_string( $_POST['name'] ) );
$color = trim( mysql_real_escape_string( $_POST['color'] ) );	
$id = intval( $_POST['id'] );
@mysql_query( "update `adv` set `url` = '$url' , `name` = '$name' , `color` = '$color' where `id` = '$id'" );
echo 'Ссылка ' . $url . ' успешно измененa!<br/>';
}
$id = (int)$_GET['id'];
if( empty( $id ) )
{
echo '<div class="menu"><b>Верхние ссылки:</b></div>';
if( mysql_num_rows( mysql_query( "select * from `adv` where `in` = '1'" ) ) == 0 )
{
echo 'Ссылок нет...<br/>';
}
else
{
$query = mysql_query( "select * from `adv` where `in` = '1'" );
while( $fetch = mysql_fetch_array( $query ) )
{
echo '<b>URL:</b> ' . htmlspecialchars( $fetch['url'] ) . ' <br/><b>Название:</b> ' . htmlspecialchars( $fetch['name'] ) . ' <br/><b>Цвет:</b> ' . htmlspecialchars( $fetch['color'] ) . '<br/><small>[<a href="adv.php?mod=dell&amp;id=' . $fetch['id'] . '">DELL</a>][<a href="adv.php?mod=editl&amp;id=' . $fetch['id'] . '">EDIT</a>]<br/></small>';
}
}
echo '<div class="menu"><b>Нижние ссылки:</b></div>';
if( mysql_num_rows( mysql_query( "select * from `adv` where `in` = '2'" ) ) == 0 )
{
echo 'Ссылок нет...<br/>';
}
else
{
$query = mysql_query( "select * from `adv` where `in` = '2'" );
while( $fetch = mysql_fetch_array( $query ) )
{	
echo '<b>URL: </b>' . htmlspecialchars( $fetch['url'] ) . ' <br/><b>Название:</b> ' . htmlspecialchars( $fetch['name'] ) . ' <br/><b>Цвет:</b> ' . htmlspecialchars( $fetch['color'] ) . '<br /><small>[<a href="adv.php?mod=dell&amp;id=' . $fetch['id'] . '">DELL</a>][<a href="adv.php?mod=editl&amp;id=' . $fetch['id'] . '">EDIT</a>]</small><br/>';
}
}
}
else
{
if( mysql_num_rows( mysql_query( "select * from `adv` where `id` = '$id' and `in` != '3'" ) ) == 0 )
{
echo 'Ссылка не найдена...<br/>';
}
else
{
$rand = rand( 1000 , 9999 );
$_SESSION['rand'] = $rand;
$fetch = mysql_fetch_array( mysql_query( "select * from `adv` where `id` = '$id'" ) );
echo '<form action="adv.php?mod=editl" method="post">
URL:<br />
<input type="text" name="url" value="' . htmlspecialchars( $fetch['url'] ) . '" /><br/>
Название:<br/>
<input type="text" name="name" value="' . htmlspecialchars( $fetch['name'] ) . '" /><br/>
Цвет:<br/>
<input type="text" name="color" value="' . htmlspecialchars( $fetch['color'] ) . '" /><br/>
<input type="hidden" name="rand" value="' . $rand . '" />
<input type="hidden" name="id" value="' . $id . '" />
<input type="submit" value="Сохранить" />
</form><br />';
}
}
break;
case 'editb':
if( $_POST['rand'] == $_SESSION['rand'] and !empty( $_POST['url'] ) and !empty( $_POST['name'] ) and !empty( $_POST['img'] ) )
{
$url = mysql_real_escape_string( $_POST['url'] );
$name = trim( mysql_real_escape_string( $_POST['name'] ) );
$img = trim( mysql_real_escape_string( $_POST['img'] ) );	
$id = intval( $_POST['id'] );
@mysql_query( "update `adv` set `url` = '$url' , `name` = '$name' , `img` = '$img' where `id` = '$id'" );
echo 'Банер ' . $name . ' успешно изменен!<br />';
}
$id = (int)$_GET['id'];
if( empty( $id ) )
{
echo '<div class="menu"><b>Банеры и счетчики:</b></div>';
if( mysql_num_rows( mysql_query( "select * from `adv` where `in` = '3'" ) ) == 0 )
{
echo 'Банеров нет...<br/>';
}
else
{
$query = mysql_query( "select * from `adv` where `in` = '3'" );
while( $fetch = mysql_fetch_array( $query ) )
{
echo '<b>URL:</b> ' . htmlspecialchars( $fetch['url'] ) . ' <br/> <b>URL картинки: </b>' . $fetch['img'] . ' <br/><b>Подпись:</b> ' . htmlspecialchars( $fetch['name'] ) . '<br/><small>[<a href="adv.php?mod=dell&amp;id=' . $fetch['id'] . '">DELL</a>][<a href="adv.php?mod=editb&amp;id=' . $fetch['id'] . '">EDIT</a>]</small><br/>';
}
}
}
else
{
if( mysql_num_rows( mysql_query( "select * from `adv` where `id` = '$id' and `in` = '3'" ) ) == 0 )
{
echo 'Банер не найден...<br/>';
}
else
{
$rand = rand( 1000 , 9999 );
$_SESSION['rand'] = $rand;
$fetch = mysql_fetch_array( mysql_query( "select * from `adv` where `id` = '$id'" ) );
echo '<form action="adv.php?mod=editb" method="post">
URL:<br />
<input type="text" name="url" value="' . htmlspecialchars( $fetch['url'] ) . '" /><br/>
URL картинки:<br/>
<input type="text" name="color" value="' . htmlspecialchars( $fetch['img'] ) . '" /><br/>
Подпись:<br/>
<input type="text" name="name" value="' . htmlspecialchars( $fetch['name'] ) . '" /><br/>
<input type="hidden" name="rand" value="' . $rand . '" />
<input type="hidden" name="id" value="' . $id . '" />
<input type="submit" value="Сохранить" />
</form><br/>';
}
}
break;
case 'dell':
if( empty( $_GET['id'] ) or !ctype_digit( $_GET['id'] ) ) 
{
echo 'Unknow id...<br/>';
}
else
{
$id = $_GET['id'];
$fetch = mysql_fetch_array( mysql_query( "select * from `adv` where `id` = '$id'" ) );
if( empty( $fetch ) )
{
echo 'Ссылка не найдена...<br/>';
}
else
{
$name = $fetch['name'];
if( empty( $_GET['agree'] ) )
{
echo 'Вы действительно хотите удалить ' . $name . ' ?<br /><a href="adv.php?mod=dell&amp;id=' . $id . '&amp;agree=yes">Да</a> | <a href="adv.php">Нет</a><br/>';
}
else
{	
@mysql_query( "delete from `adv` where `id` = '$id'" );
echo $name . ' Успешно удаленo!<br/>';
}
}
		
}	
break;
}
echo gb.'<a href="adv.php">Управление рекламой</a><br />'.div;
echo gb.'<a href="index">В админку</a><br />'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
?>